//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 3 lights, 8 textures and 82 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 01/16/1995    (16.01.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

camera {  //  Camera Camera
  location  <34.535, -37.039, 36.307>
  direction <0.0,     0.0,  2.6631>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <13.171, 3.413, 1.934>
}

// *******  L I G H T S *******
light_source {   // Light001
  <41.654, 11.781, 17.619>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light002
  <22.276, -12.808, 21.690>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light003
  <0.000, 14.219, 31.400>
  color rgb <1.000, 1.000, 1.000>
}

//
// ********  T E X T U R E S  *******
//
//  $MRY$: 'rot'
#declare rot = texture {
  pigment { color rgb < 0.863,  0.000,  0.149> }
  finish {
    ambient   0.30
    diffuse   0.50
    brilliance   1.00
    phong   0.60
    phong_size  80.00
    reflection  0.100
  }
}


//  $MRY$: 'blau'
#declare blau = texture {
  pigment { color rgb < 0.047,  0.055,  0.820> }
  finish {
    ambient   0.30
    diffuse   0.50
    brilliance   1.00
    phong   0.60
    phong_size  80.00
    reflection  0.100
  }
}


//  $MRY$: 'gelb'
#declare gelb = texture {
  pigment { color rgb < 0.902,  0.851,  0.000> }
  finish {
    ambient   0.30
    diffuse   0.50
    brilliance   1.00
    phong   0.60
    phong_size  80.00
    reflection  0.100
  }
}


//  $MRY$: 'Tan_Wood'


//  $MRY$: 'Green_Glass'


//  $MRY$: 'Apocalypse'


//  $MRY$: 'Blood_Marble'


//  $MRY$: 'DMFWood4'


// ********  O B J E C T S *******
#declare Cylndr1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob1 = union {
  object { Cylndr1 }
  object { HgtFld }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
}

#declare Cylndr2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld1 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob2 = union {
  object { Cylndr2 }
  object { HgtFld1 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <2.997612, 0.000000, 0.000000>
}

#declare Cylndr3 = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld2 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob3 = union {
  object { Cylndr3 }
  object { HgtFld2 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <5.996285, 0.000000, 0.000000>
}

#declare Cylndr4 = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld3 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob4 = union {
  object { Cylndr4 }
  object { HgtFld3 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <9.024385, 0.000000, 0.000000>
}

#declare Cylndr5 = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld4 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob5 = union {
  object { Cylndr5 }
  object { HgtFld4 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <9.024385, 2.987566, 0.000000>
}

#declare Cylndr6 = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld5 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob6 = union {
  object { Cylndr6 }
  object { HgtFld5 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <5.997533, 2.987566, 0.000000>
}

#declare Cylndr7 = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld6 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob7 = union {
  object { Cylndr7 }
  object { HgtFld6 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <3.000020, 2.987566, 0.000000>
}

#declare Cylndr8 = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld7 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob8 = union {
  object { Cylndr8 }
  object { HgtFld7 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <0.002507, 3.016904, 0.000000>
}

#declare body = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <5.801387, 2.726581, 1.563312>
  translate <4.452901, 1.529256, -1.288399>
}

#declare lego8rot = union {
  object { knob1 }
  object { knob2 }
  object { knob3 }
  object { knob4 }
  object { knob5 }
  object { knob6 }
  object { knob7 }
  object { knob8 }
  object { body }
  texture {
    rot
  }
  translate <0.640785, 6.557041, 6.034776>
}

#declare Cylndr9 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld8 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob9 = union {
  object { Cylndr9 }
  object { HgtFld8 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
}

#declare Cylndr10 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld9 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob10 = union {
  object { Cylndr10 }
  object { HgtFld9 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <2.997612, 0.000000, 0.000000>
}

#declare Cylndr11 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld10 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob11 = union {
  object { Cylndr11 }
  object { HgtFld10 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <5.996285, 0.000000, 0.000000>
}

#declare Cylndr12 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld11 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob12 = union {
  object { Cylndr12 }
  object { HgtFld11 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <9.024385, 0.000000, 0.000000>
}

#declare Cylndr13 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld12 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob13 = union {
  object { Cylndr13 }
  object { HgtFld12 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <9.024385, 2.987566, 0.000000>
}

#declare Cylndr14 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld13 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob14 = union {
  object { Cylndr14 }
  object { HgtFld13 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <5.997533, 2.987566, 0.000000>
}

#declare Cylndr15 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld14 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob15 = union {
  object { Cylndr15 }
  object { HgtFld14 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <3.000020, 2.987566, 0.000000>
}

#declare Cylndr16 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld15 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob16 = union {
  object { Cylndr16 }
  object { HgtFld15 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <0.002507, 3.016904, 0.000000>
}

#declare body1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <5.801387, 2.726581, 1.563312>
  translate <4.452901, 1.529256, -1.288399>
}

#declare lego8blau = union {
  object { knob9 }
  object { knob10 }
  object { knob11 }
  object { knob12 }
  object { knob13 }
  object { knob14 }
  object { knob15 }
  object { knob16 }
  object { body1 }
  texture {
    blau
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <15.174242, 6.708432, 6.038636>
}

#declare Cylndr17 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    gelb
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld16 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    gelb
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob17 = union {
  object { Cylndr17 }
  object { HgtFld16 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
}

#declare Cylndr18 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    gelb
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld17 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    gelb
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob18 = union {
  object { Cylndr18 }
  object { HgtFld17 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <2.997612, 0.000000, 0.000000>
}

#declare Cylndr23 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    gelb
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld22 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    gelb
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob23 = union {
  object { Cylndr23 }
  object { HgtFld22 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <3.000020, 2.987566, 0.000000>
}

#declare Cylndr24 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    gelb
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld23 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    gelb
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob24 = union {
  object { Cylndr24 }
  object { HgtFld23 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <0.002507, 3.016904, 0.000000>
}

#declare body2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    gelb
  }
  scale <2.838065, 2.754455, 1.563312>
  translate <1.498323, 1.501383, -1.288399>
}

#declare lego4gelb = union {
  object { knob17 }
  object { knob18 }
  object { knob23 }
  object { knob24 }
  object { body2 }
  texture {
    blau
  }
  scale <1.000000, 0.987879, 1.000000>
  translate <-5.071541, 6.601590, 6.042915>
}

#declare Cylndr19 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld18 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob19 = union {
  object { Cylndr19 }
  object { HgtFld18 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
}

#declare Cylndr20 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld19 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob20 = union {
  object { Cylndr20 }
  object { HgtFld19 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <2.997612, 0.000000, 0.000000>
}

#declare Cylndr27 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld26 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob27 = union {
  object { Cylndr27 }
  object { HgtFld26 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <3.000020, 2.987566, 0.000000>
}

#declare Cylndr28 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    blau
  }
  scale <1.011127, 1.000000, 0.632801>
}

#declare HgtFld27 = object { 
  height_field {
    gif "lego.gif" 
    water_level 0.039216
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    blau
  }
  scale <0.825026, 0.683199, 0.081422>
  translate <0.017855, -0.004699, 0.617440>
}

#declare knob28 = union {
  object { Cylndr28 }
  object { HgtFld27 }
  texture {
    rot
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <0.002507, 3.016904, 0.000000>
}

#declare body3 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <2.930923, 2.735895, 1.536797>
  translate <1.546286, 1.549441, -1.288399>
}

#declare lego4blau = union {
  object { knob19 }
  object { knob20 }
  object { knob27 }
  object { knob28 }
  object { body3 }
  texture {
    blau
  }
  translate <9.396372, 6.536252, 9.147701>
}

#declare rot1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    rot
  }
  scale <5.600088, 2.726581, 1.563312>
  translate <10.776285, 8.083927, 1.620339>
}

#declare blau1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    blau
  }
  scale <5.801387, 2.726581, 1.563312>
  translate <-0.632882, 8.068307, 1.619441>
}

union {
  object { lego8rot }
  object { lego8blau }
  object { lego4gelb }
  object { lego4blau }
  object { rot1 }
  object { blau1 }
  rotate <0.000000, 0.000000, 956.842468>
  translate <4.711788, 16.814615, 0.000000>
}

#declare Cube1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
}

#declare Cube2 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <2.000000, 0.000000, 0.000000>
}

#declare Cube3 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <4.000000, 0.000000, 0.000000>
}

#declare Cube4 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <6.000000, 0.000000, 0.000000>
}

#declare Cube5 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <8.000000, 0.000000, 0.000000>
}

#declare Cube6 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <10.000000, 0.000000, 0.000000>
}

#declare Cube7 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <12.000000, 0.000000, 0.000000>
}

#declare Cube8 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <14.000000, 0.000000, 0.000000>
}

#declare Cube9 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <16.000000, 0.000000, 0.000000>
}

#declare Cube10 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <18.000000, 0.000000, 0.000000>
}

#declare Cube11 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <20.000000, 0.000000, 0.000000>
}

#declare Cube12 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <22.000000, 0.000000, 0.000000>
}

#declare Cube13 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <24.000000, 0.000000, 0.000000>
}

#declare Cube14 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <26.000000, 0.000000, 0.000000>
}

#declare Cube15 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <28.000000, 0.000000, 0.000000>
}

#declare Cube16 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <30.000000, 0.000000, 0.000000>
}

#declare Cube17 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <32.000000, 0.000000, 0.000000>
}

#declare Cube18 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <34.000000, 0.000000, 0.000000>
}

#declare Cube19 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <36.000000, 0.000000, 0.000000>
}

#declare Cube20 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.954719, 17.828979, 0.115176>
  translate <38.000000, 0.000000, 0.000000>
}

union {
  object { Cube1 }
  object { Cube2 }
  object { Cube3 }
  object { Cube4 }
  object { Cube5 }
  object { Cube6 }
  object { Cube7 }
  object { Cube8 }
  object { Cube9 }
  object { Cube10 }
  object { Cube11 }
  object { Cube12 }
  object { Cube13 }
  object { Cube14 }
  object { Cube15 }
  object { Cube16 }
  object { Cube17 }
  object { Cube18 }
  object { Cube19 }
  object { Cube20 }
  texture {
    Tan_Wood
    finish {
      reflection  0.150
    }
    scale <0.300000, 0.300000, 0.300000>
  }
  scale <3.402088, 3.402088, 3.402088>
  rotate <0.000000, 0.000000, -17.406485>
  translate <-53.106577, 27.323835, -0.417933>
}

#declare msphere = object { 
  sphere {<0,0,0>,1}
  texture {
    Green_Glass
  }
  scale <1.299190, 1.299190, 1.299190>
  translate <0.000000, -0.046247, 1.294737>
}

#declare col_1 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <0.089033, -2.827953, -0.022267>  <0.762337, -2.108019, -0.190662>  <0.940530, -1.388084, -1.142535>  <0.433051, -0.668150, -2.130332>
    <-0.554204, -2.133911, 0.373205>  <0.063914, -1.413977, -0.015985>  <0.737218, -0.694042, -0.184379>  <0.924074, 0.025892, -1.122545>
    <-0.677055, -1.439869, 1.211765>  <-0.575681, -0.719934, 0.387667>  <0.038796, 0.000000, -0.009703>  <0.712099, 0.719934, -0.178097>
    <0.248741, -0.745827, 2.093292>  <-0.689685, -0.025892, 1.234368>  <-0.597158, 0.694042, 0.402130>  <0.013677, 1.413977, -0.003421>  }
}
#declare col = object {   col_1
  texture {
    Apocalypse
  }
  scale <0.453619, 0.284268, 0.499290>
  translate <-0.063125, 0.190393, 1.325633>
}

union {
  object { msphere }
  object { col }
  scale <2.145891, 2.145891, 2.145891>
  rotate <0.000000, -90.858994, -179.218842>
  translate <12.577446, 4.217683, 2.990965>
}

#declare msphere1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Green_Glass
  }
  scale <1.299190, 1.299190, 1.299190>
  translate <0.000000, -0.046247, 1.294737>
}

#declare col1_1 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <0.089033, -2.827953, -0.022267>  <0.762337, -2.108019, -0.190662>  <0.940530, -1.388084, -1.142535>  <0.433051, -0.668150, -2.130332>
    <-0.554204, -2.133911, 0.373205>  <0.063914, -1.413977, -0.015985>  <0.737218, -0.694042, -0.184379>  <0.924074, 0.025892, -1.122545>
    <-0.677055, -1.439869, 1.211765>  <-0.575681, -0.719934, 0.387667>  <0.038796, 0.000000, -0.009703>  <0.712099, 0.719934, -0.178097>
    <0.248741, -0.745827, 2.093292>  <-0.689685, -0.025892, 1.234368>  <-0.597158, 0.694042, 0.402130>  <0.013677, 1.413977, -0.003421>  }
}
#declare col1 = object {   col1_1
  texture {
    Blood_Marble
  }
  scale <0.453619, 0.284268, 0.499290>
  translate <-0.063125, 0.190393, 1.325633>
}

union {
  object { msphere1 }
  object { col1 }
  scale <2.145891, 2.145891, 2.145891>
  rotate <-311.508881, 30.382278, -186.598236>
  translate <21.467364, 6.868798, 1.377465>
}

#declare Cylndr = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <0.993598, 1.000000, 0.146348>
  translate <0.009601, 0.001621, 0.988407>
}

#declare Cone = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  scale <0.500000, 0.500000, 1.000000>
}

#declare Cone2 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  scale <0.100000, 0.100000, 1.000000>
  rotate <0.000000, -180.000000, 0.000000>
  translate <0.000000, 0.000000, 2.121896>
}

#declare Sphere = object { 
  sphere {<0,0,0>,1}
  scale <0.100000, 0.100000, 0.200000>
  translate <-0.001749, -0.001645, 2.085891>
}

union {
  object { Cylndr }
  object { Cone }
  object { Cone2 }
  object { Sphere }
  texture {
    DMFWood4
  }
  scale <5.237975, 5.237975, 5.237975>
  rotate <0.000000, -44.213409, -343.976135>
  translate <23.980540, -1.566568, 0.000000>
}

